Bug 519731 - Fencing Agent for Raritan devices [NEEDINFO]
Summary: Fencing Agent for Raritan devices
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: fence-agents
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Marek Grac
QA Contact: GFS Bugs
URL:
Whiteboard:
Depends On: 505020
Blocks: 756082
TreeView+ depends on / blocked
 
Reported: 2009-08-27 15:27 UTC by Marek Grac
Modified: 2015-02-25 14:05 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 505020
Environment:
Last Closed: 2015-02-25 14:05:36 UTC
fdinitto: needinfo? (jharriga)


Attachments (Terms of Use)

Comment 1 RHEL Product and Program Management 2009-08-27 15:47:04 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Marek Grac 2010-03-20 18:47:09 UTC
According to manual, ipmi 2.0 over LAN should be supported on this device. Feel free to report bugs which occurs when fence_ipmilan is used. 

We do not plan to include new fence agent in cases when they are already supported by existing fence agents.

Comment 3 Gordan Bobic 2010-03-20 19:14:52 UTC
See response to bug: 505020
The IPMI support provided by eRIC G4 isn't what you are assuming. In most cases it cannot actually be used.

Comment 10 RHEL Product and Program Management 2012-07-10 05:55:30 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 11 RHEL Product and Program Management 2012-07-10 23:11:34 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 12 Gordan Bobic 2012-07-23 21:17:47 UTC
It is perhaps worth noting that this fencing agent will also work unmodified with the Raritan eRIC Express cards (very similar to eRIC G4 cards).

Comment 16 Fabio Massimo Di Nitto 2014-02-13 12:48:31 UTC
The eRIC G4 board is EOL.

Let´s try to get hw in the house for a generic agent.

Comment 18 David Smith 2014-03-11 21:41:04 UTC
i just submitted via git addition of a raritan agent for basic power on / off support.  Tested working for telnet connectivity on a raritan dominion px (DPXS12-20) with firmware 01.03.05

[master f4b37ba]
[master 43fc3f9]

Comment 19 Marek Grac 2014-03-12 07:27:13 UTC
@David: Please to which git tree?

Comment 20 Gordan Bobic 2014-03-12 08:33:27 UTC
Link? Is it different/better from the one I wrote, attached in RHBZ 505020 some 5 years ago?
https://bugzilla.redhat.com/show_bug.cgi?id=505020

Comment 21 David Smith 2014-03-12 15:07:38 UTC
https://git.fedorahosted.org/git/fence-agents.git

master tree (above submission IDs)

Gordan I doubt it is better than what you wrote, this is for basic power on/off support only.

Comment 22 Marek Grac 2014-03-14 10:41:56 UTC
@David:

Did you push changes to upstream? I can't find them on the web/git

Comment 23 Marek Grac 2014-04-07 12:32:51 UTC
Support for Raritan is now part of upstream release - 4.0.8


Note You need to log in before you can comment on or make changes to this bug.